Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684670 - UPGRADE etcd cert agent image is still not part of payload
Summary: UPGRADE etcd cert agent image is still not part of payload
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: etcd
Version: 4.1
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.1.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 20:09 UTC by Clayton Coleman
Modified: 2019-03-22 16:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-22 16:26:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 1429 None None None 2019-03-21 12:17:01 UTC
Github openshift machine-config-operator pull 555 None None None 2019-03-21 12:17:01 UTC

Description Clayton Coleman 2019-03-01 20:09:20 UTC
Cluster still contains an image from outside the payload:

quay.io/coreos/kube-client-agent@sha256:d68f85b5ca3adccdc2f4a4c5263f1792798ed44a9b1d63a96004b6e283dc338d

https://jira.coreos.com/browse/AUTH-236

Beta3 blocker

Comment 1 Sam Batschelet 2019-03-11 15:56:08 UTC
release is now building this image[1] PRs for MCO and installer are pending and will go up today.

[1] registry.svc.ci.openshift.org/openshift/origin-v4.0:kube-client-agent via https://github.com/openshift/release/pull/3021

Comment 10 Sam Batschelet 2019-03-19 08:40:53 UTC
> Cluster still contains an image from outside the payload:
>
> quay.io/coreos/kube-client-agent@sha256:d68f85b5ca3adccdc2f4a4c5263f1792798ed44a9b1d63a96004b6e283dc338d

This should now be resolved by https://github.com/openshift/machine-config-operator/pull/555.

Comment 11 W. Trevor King 2019-03-21 12:17:02 UTC
(In reply to Sam Batschelet from comment #10)
> > Cluster still contains an image from outside the payload:
> >
> > quay.io/coreos/kube-client-agent@sha256:d68f85b5ca3adccdc2f4a4c5263f1792798ed44a9b1d63a96004b6e283dc338d
> 
> This should now be resolved by
> https://github.com/openshift/machine-config-operator/pull/555.

That and [1] have landed, so should be good to go here.  There's still an external image being sorted in [2], but that's not referenced from the release image.

[1]: https://github.com/openshift/installer/pull/1429
[2]: https://github.com/openshift/cluster-bootstrap/pull/22

Comment 13 ge liu 2019-03-22 04:32:59 UTC
verified with 4.0.0-0.nightly-2019-03-20-153904

# oc describe pods etcd-member-ip-10-0-139-73.us-east-2.compute.internal|grep Image
    Image:         quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:be42d3d07c8d4c1345724d6937c285753753459ee7fabe2e16b11a5714f7d5b9
    Image ID:      quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:be42d3d07c8d4c1345724d6937c285753753459ee7fabe2e16b11a5714f7d5b9
    Image:         quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2c157ca0fb5a3528646287847ec5e5436bcaae3682948ef4b91c96c18619b8cb
    Image ID:      quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2c157ca0fb5a3528646287847ec5e5436bcaae3682948ef4b91c96c18619b8cb
    Image:         quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:359ed3bfea766cb190567a530aa6beeeedb05e770f6d88b160e38427b281e87d
    Image ID:      quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:359ed3bfea766cb190567a530aa6beeeedb05e770f6d88b160e38427b281e87d
# cat etcd-member.yaml |grep image
    image: "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:be42d3d07c8d4c1345724d6937c285753753459ee7fabe2e16b11a5714f7d5b9"
    image: "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2c157ca0fb5a3528646287847ec5e5436bcaae3682948ef4b91c96c18619b8cb"
    image: "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:359ed3bfea766cb190567a530aa6beeeedb05e770f6d88b160e38427b281e87d"
# oc adm release info|grep etcd
  etcd                                          sha256:359ed3bfea766cb190567a530aa6beeeedb05e770f6d88b160e38427b281e87d
  setup-etcd-environment                        sha256:be42d3d07c8d4c1345724d6937c285753753459ee7fabe2e16b11a5714f7d5b9


Note You need to log in before you can comment on or make changes to this bug.